
Redmine - Defect #20525

Move WIKI page bug - renaming and moving default or other WIKI page, results in FIXED link to new

project

2015-08-12 13:25 - Arnis Juraga

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

How to reproduce:

1. Go to Project Default wiki page ```projects/wiki-page-move-test/wiki```

2. create and save content

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [i486-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Mercurial                      2.2.2

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  add_link                       0.0.1

  redmine_changeauthor           1.0.0

  redmine_custom_css             0.1.4

  redmine_improved_searchbox2    0.0.3

  redmine_lightbox2              0.2.2

Related issues:

Is duplicate of Redmine - Defect #20356: Wiki gets destroyed after rename New

History

#1 - 2015-08-12 13:31 - Arnis Juraga

Sorry, accidently saved unfinished issue description:

3. Now, Open the Wiki link again:

projects/wiki-page-move-test/wiki

4. choose "Rename", and select different project, e.g. "New project".

5. Leave selected "Redirect existing links" and click "Rename"

Now in old project - default link "WIKI" from project page main menu, will be redirected to the new project wiki content.

Instead of

projects/wiki-page-move-test/wiki

the link from project main menu becomes

projects/new-project/wiki

You now cannot access project "Wiki page move test" project WIKI from project main menu, as it is "rewritten".

#2 - 2015-09-07 06:27 - Toshi MARUYAMA

- Category set to Wiki

2025-05-17 1/2



#3 - 2015-09-07 08:19 - Toshi MARUYAMA

- Related to Defect #20356: Wiki gets destroyed after rename added

#4 - 2015-09-07 08:23 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #20356.

#5 - 2015-09-07 08:23 - Toshi MARUYAMA

- Related to deleted (Defect #20356: Wiki gets destroyed after rename)

#6 - 2015-09-07 08:24 - Toshi MARUYAMA

- Is duplicate of Defect #20356: Wiki gets destroyed after rename added
